#include <bits/stdc++.h>
#include "testlib.h"
using namespace std;
typedef long long ll;
void gen_case(int n,int q,int val){
    vector<int>input={n,q};
    println(input);
    vector<int>a(n);
    int x=rnd.next(0,val);
    for(int i=0;i<n-1;i++){
        a[i]=val*i+val;
    }
    a[n-1]=(val-1)*rnd.next(1,n)+val;
    shuffle(a.begin(),a.end());
    println(a);
    while(q--){
        int x=rnd.next(1,1000000000);
        println(x);
    }
}
int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n=opt<int>("n");
    int q=opt<int>("q");
    int val=opt<int>("val");
    gen_case(n,q,val);
    return 0;
}
